package com.diagbot.facade;

import com.alibaba.fastjson.JSONObject;
import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.service.impl.EvaluationServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.EvaluationDiseaseNameVO;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class EvaluationFacade extends EvaluationServiceImpl {

    @Autowired
    PushFacade pushFacade;

    /**
     * 获取管理与评估模板接口
     *
     * @param searchVO
     * @return
     */
    public List<EvaluationDTO> getEvaluationModule(SearchVO searchVO) {
        if (searchVO.getDiseaseName() == null || StringUtil.isBlank(searchVO.getDiseaseName().getUniqueName())) {
            return Lists.newArrayList();
        }

        EvaluationDiseaseNameVO evaluationdiseaseNameVO = new EvaluationDiseaseNameVO();
        BeanUtil.copyProperties(searchVO, evaluationdiseaseNameVO);
        List<EvaluationDTO> evaluationList = this.getEvaluationModule(evaluationdiseaseNameVO);

        Map<String, JSONObject> jsonobject = pushFacade.getManagementEvaluationContent(searchVO);
        for (String key : jsonobject.keySet()) {
            for (EvaluationDTO evaluadata : evaluationList) {
                if (key.equals(evaluadata.getRegionName())) {
                    evaluadata.setData(jsonobject.get(key));
                }
            }
        }
        return evaluationList;
    }
}