package com.diagbot.client;

import com.diagbot.client.hystrix.MrqcServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Description: 病历质控远程调用客户端
 * @author: gaodm
 * @time: 2019/12/23 9:40
 */
@FeignClient(name = "MRQC", url = "${mrqc.server.address}", fallback = MrqcServiceHystrix.class)
public interface MrqcServiceClient {

    @PostMapping(value = "/oauth/token")
    String demo(@RequestHeader(value = "Authorization") String authorization, @RequestParam("grant_type") String type, @RequestParam("username") String username, @RequestParam("password") String password);
}



